JNA upgrade

I upgraded the version of the JNA lib we use to 3.5.2 in the trunk, in hopes that this solves some of the JNA-related problems we’ve seen. Since this affects Windows only, it would be helpful if someone could confirm for me that they’re able to load a module in the 3.2.6-svn8694 build on Windows (and let us know which version of Windows you did it on).

Works for me on Win7 64-bit. (Loaded my F&E 2.0 test module, and the No Question of Surrender module).